# feet

Modern Flutter based Android client for [Fever](https://freshrss.github.io/FreshRSS/en/developers/06_Fever_API.html) compatible news sources using Material 3.

This application is mainly intended as a client for [FreshRSS](https://github.com/freshrss/freshrss). It conforms to the Fever API specification, but compatibility with other implementations is not guaranteed.

## Download

Feet is hosted on my [personal F-Droid repo](https://droid.lea.pet). You can also download the APK directly [here](https://droid.lea.pet/feet.apk).

Before setting up a Fever compatible news source, you can connect to a demo server from within the app to try it out.

## Building

Follow [the instructions](https://docs.flutter.dev/get-started/install) to install Flutter.
**Stay away from the snap package!** If you're on Arch, you can get Flutter from the AUR. On other distros, follow the manual installation steps.

After cloning the repository, run `flutter pub get` to fetch dependencies, then run `flutter build apk`.
If your phone is connected via ADB, you can directly install the APK using `flutter install`.

Note that while Flutter offers cross-platform support, I only develop for Android and other targets (including desktop builds) most likely won't work.
If you plan on contributing you should develop on a real phone or an Android emulator.

## Screenshots

<img src="assets/home.png" height="500" /> <img src="assets/post.png" height="500" />

### Notifications

<img src="assets/notif.png" height="500" />
